> For the complete documentation index, see [llms.txt](https://docs.fortifiedid.se/access/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fortifiedid.se/access/key-components/modules/oidc/user-info-endpoint.md).

# User info endpoint

Returns information about the authenticated user.

An access token should normally be included in the HTTP Authorization header.

(Authorization: Bearer \<access\_token>)

```
Example: http://127.0.0.1:8080/oidc/tenant1/userinfo-endpoint
```

If a client cannot use the Authorization header, the UserInfo endpoint can also accept `access_token` as a query parameter, but only when the OIDC module property `allow_userinfo_access_token_in_query` is explicitly set to `true`.

This is disabled by default and should only be used for legacy compatibility.

The access token used with the UserInfo endpoint must represent OIDC access and include the `openid` scope.

For newly issued opaque access tokens, FortifiedID Integrity persists the granted `scope` together with the token session and uses that when evaluating UserInfo requests. JWT access tokens should also carry the granted `scope`.

## Claim expansion

When `userinfo_claims` uses expansion expressions such as `${exports.email}`, unresolved export values are returned as empty claim values. Access does not return the unresolved expression string to the client.

For example, if `userinfo_claims` contains `"email": "${exports.email}"` and `exports.email` is not available, the UserInfo response contains `"email": ""`.

#### User info endpoint errors

| Error id             | Description                                                            |
| -------------------- | ---------------------------------------------------------------------- |
| `invalid_request`    | The request is NOT valid. This is usually due to missing access token. |
| `invalid_token`      | The provided access token has timed out.                               |
| `insufficient_scope` | The access token does not include the required `openid` scope.         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fortifiedid.se/access/key-components/modules/oidc/user-info-endpoint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
